public class Main {

    public static void main(String[] args) {
	SearchTree<Integer> st     = new SearchTree<Integer>();
        Integer[]           ints   = {63, 18, 38, 39, 43, 51, 21, 77, 28, 64};
	Integer[]           sorted = new Integer[ints.length];
	Integer[]           icheck = {14, 42, 69, 78, 99};

	System.out.println("--- Begin Insert ---");
	for (int i=0 ; i<ints.length ; i++) {
	    st.insert(ints[i]);
	    System.out.println("---------------");
	    st.printTree();
	}
	System.out.println("--- End Insert ---");

	System.out.println("Hoehe: "+st.height());

	System.out.println("--- Begin Contains ---");
	for (int i=0 ; i<ints.length ; i++) {
	    System.out.println(ints[i] + " ?i " + st.contains(ints[i]));
	    System.out.println(ints[i] + " ?r " + st.containsR(ints[i]));
	}

	for (int i=0 ; i<icheck.length ; i++) {
	    System.out.println(icheck[i] + " ?i " + st.contains(icheck[i]));
	    System.out.println(icheck[i] + " ?r " + st.containsR(icheck[i]));
	}
	System.out.println("--- End Contains ---");

	st.sortedArray(sorted);
	System.out.print("sortiert: ");
	for (Integer i : sorted) {
	    System.out.print(i+ " ");
	}
	System.out.println();

	System.out.println("--- Begin Delete ---");
	for (int i=0 ; i<ints.length ; i++) {
	    st.remove(ints[i]);
	    System.out.println("---------------");
	    st.printTree();
	}
	System.out.println("--- End Delete ---");
    }
}
